MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025762Open CASCADE[OCCT] OCCT:Visualizationpublic2015-01-29 13:122015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025762: Visualization, TKOpenGl - fix debug assertion within OpenGl_Workspace::UploadRaytraceData()
DescriptionThe front of empty std::vector is dereferenced within the following lines, leading to "vector iterator not dereferencable" assertion in debug mode:
  const NCollection_Handle<BVH_Tree<Standard_ShortReal, 3> >& aBVH = myRaytraceGeometry.BVH();

  
aResult &= mySceneNodeInfoTexture->SubData (myGlContext, 0, aBVH->Length(),
    reinterpret_cast<const GLuint*> (&aBVH->NodeInfoBuffer().front()));
Steps To Reproducev3d materials bug24872_2
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025703closedbugmaster Visualization, TKOpenGl - Decrease number of samplers used in ray-tracing mode 

-  Notes
(0036809)
git (administrator)
2015-01-29 13:14

Branch CR25762 has been created by kgv.

SHA-1: fc977f3ca20dfabfa769714a4d127b9536647d4f


Detailed log of new commits:

Author: kgv
Date: Thu Jan 29 13:14:49 2015 +0300

    0025762: Visualization, TKOpenGl - fix debug assertion within OpenGl_Workspace::UploadRaytraceData()
(0036810)
kgv (developer)
2015-01-29 13:15

Patch is ready for review.
(0036825)
dbp (developer)
2015-01-29 14:44

Dear bugmaster,

please test the patch.
(0036892)
apn (administrator)
2015-01-30 14:23

Dear BugMaster,
Branch CR25762 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested in Release mode.
SHA-1: fc977f3ca20dfabfa769714a4d127b9536647d4f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 369235776 / 370114884
Total CPU difference: 54712.28999999988 / 51750.710000000094

Testing on Windows:
Total MEMORY difference: 275986756 / 275769192
Total CPU difference: 45229.671875 / 38148.296875

There are not differences in images found by testdiff.
(0037486)
git (administrator)
2015-02-13 10:28

Branch CR25762 has been deleted by kgv.

SHA-1: fc977f3ca20dfabfa769714a4d127b9536647d4f

- Related Changesets
occt: master 1e99558f
Timestamp: 2015-01-29 10:14:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025762: Visualization, TKOpenGl - fix debug assertion within OpenGl_Workspace::UploadRaytraceData()
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-29 13:12 kgv New Issue
2015-01-29 13:12 kgv Assigned To => kgv
2015-01-29 13:14 git Note Added: 0036809
2015-01-29 13:15 kgv Note Added: 0036810
2015-01-29 13:15 kgv Assigned To kgv => dbp
2015-01-29 13:15 kgv Severity minor => trivial
2015-01-29 13:15 kgv Status new => resolved
2015-01-29 13:15 kgv Summary Visualization, TKOpenGl - debug assertion within OpenGl_Workspace::UploadRaytraceData() => Visualization, TKOpenGl - fix debug assertion within OpenGl_Workspace::UploadRaytraceData()
2015-01-29 14:44 dbp Note Added: 0036825
2015-01-29 14:44 dbp Assigned To dbp => bugmaster
2015-01-29 14:44 dbp Status resolved => reviewed
2015-01-29 17:56 apn Assigned To bugmaster => apn
2015-01-30 10:09 kgv Relationship added child of 0025703
2015-01-30 14:23 apn Note Added: 0036892
2015-01-30 14:24 apn Test case number => Not needed
2015-01-30 14:24 apn Assigned To apn => bugmaster
2015-01-30 14:24 apn Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 1e99558f
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-13 10:28 git Note Added: 0037486
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker